Manifest-Version: 1.0
Bnd-LastModified: 1743084594045
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Dynamic Data Mapping Form Field Type
Bundle-SymbolicName: com.liferay.dynamic.data.mapping.form.field.type
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.82.hotfix-9927-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.captcha.taglib.servlet.taglib;version="1.1
 ",com.liferay.document.library.kernel.service;version="3.6",com.lifer
 ay.document.library.util;version="1.1",com.liferay.dynamic.data.mappi
 ng.annotations;version="1.2",com.liferay.dynamic.data.mapping.data.pr
 ovider;version="3.1",com.liferay.dynamic.data.mapping.form.field.type
 ;version="1.8",com.liferay.dynamic.data.mapping.model;version="4.6",c
 om.liferay.dynamic.data.mapping.render;version="2.1",com.liferay.dyna
 mic.data.mapping.service;version="3.9",com.liferay.dynamic.data.mappi
 ng.storage;version="1.4",com.liferay.frontend.js.loader.modules.exten
 der.npm;version="3.5",com.liferay.item.selector;version="4.3",com.lif
 eray.item.selector.criteria;version="2.1",com.liferay.item.selector.c
 riteria.file.criterion;version="1.0",com.liferay.item.selector.criter
 ia.image.criterion;version="1.0",com.liferay.journal.item.selector.cr
 iterion;version="1.2",com.liferay.map.util;version="2.0",com.liferay.
 osgi.service.tracker.collections.map;version="2.2",com.liferay.petra.
 io.unsync;version="1.0",com.liferay.petra.string;version="1.4",com.li
 feray.portal.kernel.editor.configuration;version="1.1",com.liferay.po
 rtal.kernel.exception;version="9.5",com.liferay.portal.kernel.json;ve
 rsion="8.10",com.liferay.portal.kernel.language;version="8.3",com.lif
 eray.portal.kernel.log;version="7.0",com.liferay.portal.kernel.model;
 version="5.6",com.liferay.portal.kernel.portlet;version="10.4",com.li
 feray.portal.kernel.portletfilerepository;version="2.0",com.liferay.p
 ortal.kernel.repository.model;version="8.0",com.liferay.portal.kernel
 .service;version="4.16",com.liferay.portal.kernel.theme;version="3.1"
 ,com.liferay.portal.kernel.util;version="10.28",com.liferay.portal.te
 mplate.soy.data;version="1.1",com.liferay.portal.template.soy.util;ve
 rsion="3.0",com.liferay.taglib.servlet;version="2.0",javax.portlet,ja
 vax.servlet.http,javax.servlet.jsp;version="2.3",org.osgi.framework;v
 ersion="1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Dynamic Data Mapping
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.dynamic.data.mapping.form.field.type.inte
 rnal,com.liferay.dynamic.data.mapping.form.field.type.internal.captch
 a,com.liferay.dynamic.data.mapping.form.field.type.internal.checkbox,
 com.liferay.dynamic.data.mapping.form.field.type.internal.checkbox.mu
 ltiple,com.liferay.dynamic.data.mapping.form.field.type.internal.colo
 r,com.liferay.dynamic.data.mapping.form.field.type.internal.date,com.
 liferay.dynamic.data.mapping.form.field.type.internal.document.librar
 y,com.liferay.dynamic.data.mapping.form.field.type.internal.fieldset,
 com.liferay.dynamic.data.mapping.form.field.type.internal.geolocation
 ,com.liferay.dynamic.data.mapping.form.field.type.internal.grid,com.l
 iferay.dynamic.data.mapping.form.field.type.internal.image,com.lifera
 y.dynamic.data.mapping.form.field.type.internal.key.value,com.liferay
 .dynamic.data.mapping.form.field.type.internal.localizable.text,com.l
 iferay.dynamic.data.mapping.form.field.type.internal.numeric,com.life
 ray.dynamic.data.mapping.form.field.type.internal.options,com.liferay
 .dynamic.data.mapping.form.field.type.internal.paragraph,com.liferay.
 dynamic.data.mapping.form.field.type.internal.password,com.liferay.dy
 namic.data.mapping.form.field.type.internal.radio,com.liferay.dynamic
 .data.mapping.form.field.type.internal.rich.text,com.liferay.dynamic.
 data.mapping.form.field.type.internal.select,com.liferay.dynamic.data
 .mapping.form.field.type.internal.separator,com.liferay.dynamic.data.
 mapping.form.field.type.internal.text,com.liferay.dynamic.data.mappin
 g.form.field.type.internal.util,com.liferay.dynamic.data.mapping.form
 .field.type.internal.util.comparator,com.liferay.dynamic.data.mapping
 .form.field.type.internal.validation,com.liferay.dynamic.data.mapping
 .form.field.type.text.internal
Provide-Capability: osgi.webresource;osgi.webresource=dynamic-data-map
 ping-form-field-type;version:Version="5.0.82.hotfix-9927-7310",lifera
 y.resource.bundle;resource.bundle.aggregate="(bundle.symbolic.name=co
 m.liferay.dynamic.data.mapping.lang)";resource.bundle.base.name="cont
 ent.Language",osgi.service;objectClass:List<String>="com.liferay.dyna
 mic.data.mapping.form.field.type.DDMFormFieldOptionsFactory";uses:="c
 om.liferay.dynamic.data.mapping.form.field.type",osgi.service;objectC
 lass:List<String>="com.liferay.dynamic.data.mapping.form.field.type.D
 DMFormFieldTemplateContextContributor,com.liferay.dynamic.data.mappin
 g.form.field.type.internal.captcha.CaptchaDDMFormFieldTemplateContext
 Contributor";uses:="com.liferay.dynamic.data.mapping.form.field.type,
 com.liferay.dynamic.data.mapping.form.field.type.internal.captcha",os
 gi.service;objectClass:List<String>="com.liferay.dynamic.data.mapping
 .form.field.type.DDMFormFieldTemplateContextContributor,com.liferay.d
 ynamic.data.mapping.form.field.type.internal.checkbox.CheckboxDDMForm
 FieldTemplateContextContributor";uses:="com.liferay.dynamic.data.mapp
 ing.form.field.type,com.liferay.dynamic.data.mapping.form.field.type.
 internal.checkbox",osgi.service;objectClass:List<String>="com.liferay
 .dynamic.data.mapping.form.field.type.DDMFormFieldTemplateContextCont
 ributor,com.liferay.dynamic.data.mapping.form.field.type.internal.che
 ckbox.multiple.CheckboxMultipleDDMFormFieldTemplateContextContributor
 ";uses:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay
 .dynamic.data.mapping.form.field.type.internal.checkbox.multiple",osg
 i.service;objectClass:List<String>="com.liferay.dynamic.data.mapping.
 form.field.type.DDMFormFieldTemplateContextContributor,com.liferay.dy
 namic.data.mapping.form.field.type.internal.color.ColorDDMFormFieldTe
 mplateContextContributor";uses:="com.liferay.dynamic.data.mapping.for
 m.field.type,com.liferay.dynamic.data.mapping.form.field.type.interna
 l.color",osgi.service;objectClass:List<String>="com.liferay.dynamic.d
 ata.mapping.form.field.type.DDMFormFieldTemplateContextContributor,co
 m.liferay.dynamic.data.mapping.form.field.type.internal.date.DateDDMF
 ormFieldTemplateContextContributor";uses:="com.liferay.dynamic.data.m
 apping.form.field.type,com.liferay.dynamic.data.mapping.form.field.ty
 pe.internal.date",osgi.service;objectClass:List<String>="com.liferay.
 dynamic.data.mapping.form.field.type.DDMFormFieldTemplateContextContr
 ibutor,com.liferay.dynamic.data.mapping.form.field.type.internal.docu
 ment.library.DocumentLibraryDDMFormFieldTemplateContextContributor";u
 ses:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay.dy
 namic.data.mapping.form.field.type.internal.document.library",osgi.se
 rvice;objectClass:List<String>="com.liferay.dynamic.data.mapping.form
 .field.type.DDMFormFieldTemplateContextContributor,com.liferay.dynami
 c.data.mapping.form.field.type.internal.fieldset.FieldSetDDMFormField
 TemplateContextContributor";uses:="com.liferay.dynamic.data.mapping.f
 orm.field.type,com.liferay.dynamic.data.mapping.form.field.type.inter
 nal.fieldset",osgi.service;objectClass:List<String>="com.liferay.dyna
 mic.data.mapping.form.field.type.DDMFormFieldTemplateContextContribut
 or,com.liferay.dynamic.data.mapping.form.field.type.internal.geolocat
 ion.GeolocationDDMFormFieldTemplateContextContributor";uses:="com.lif
 eray.dynamic.data.mapping.form.field.type,com.liferay.dynamic.data.ma
 pping.form.field.type.internal.geolocation",osgi.service;objectClass:
 List<String>="com.liferay.dynamic.data.mapping.form.field.type.DDMFor
 mFieldTemplateContextContributor,com.liferay.dynamic.data.mapping.for
 m.field.type.internal.grid.GridDDMFormFieldTemplateContextContributor
 ";uses:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay
 .dynamic.data.mapping.form.field.type.internal.grid",osgi.service;obj
 ectClass:List<String>="com.liferay.dynamic.data.mapping.form.field.ty
 pe.DDMFormFieldTemplateContextContributor,com.liferay.dynamic.data.ma
 pping.form.field.type.internal.image.ImageDDMFormFieldTemplateContext
 Contributor";uses:="com.liferay.dynamic.data.mapping.form.field.type,
 com.liferay.dynamic.data.mapping.form.field.type.internal.image",osgi
 .service;objectClass:List<String>="com.liferay.dynamic.data.mapping.f
 orm.field.type.DDMFormFieldTemplateContextContributor,com.liferay.dyn
 amic.data.mapping.form.field.type.internal.key.value.KeyValueDDMFormF
 ieldTemplateContextContributor";uses:="com.liferay.dynamic.data.mappi
 ng.form.field.type,com.liferay.dynamic.data.mapping.form.field.type.i
 nternal.key.value",osgi.service;objectClass:List<String>="com.liferay
 .dynamic.data.mapping.form.field.type.DDMFormFieldTemplateContextCont
 ributor,com.liferay.dynamic.data.mapping.form.field.type.internal.loc
 alizable.text.LocalizableTextDDMFormFieldTemplateContextContributor";
 uses:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay.d
 ynamic.data.mapping.form.field.type.internal.localizable.text",osgi.s
 ervice;objectClass:List<String>="com.liferay.dynamic.data.mapping.for
 m.field.type.DDMFormFieldTemplateContextContributor,com.liferay.dynam
 ic.data.mapping.form.field.type.internal.numeric.NumericDDMFormFieldT
 emplateContextContributor";uses:="com.liferay.dynamic.data.mapping.fo
 rm.field.type,com.liferay.dynamic.data.mapping.form.field.type.intern
 al.numeric",osgi.service;objectClass:List<String>="com.liferay.dynami
 c.data.mapping.form.field.type.DDMFormFieldTemplateContextContributor
 ,com.liferay.dynamic.data.mapping.form.field.type.internal.options.Op
 tionsDDMFormFieldTemplateContextContributor";uses:="com.liferay.dynam
 ic.data.mapping.form.field.type,com.liferay.dynamic.data.mapping.form
 .field.type.internal.options",osgi.service;objectClass:List<String>="
 com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldTemplate
 ContextContributor,com.liferay.dynamic.data.mapping.form.field.type.i
 nternal.paragraph.ParagraphDDMFormFieldTemplateContextContributor";us
 es:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay.dyn
 amic.data.mapping.form.field.type.internal.paragraph",osgi.service;ob
 jectClass:List<String>="com.liferay.dynamic.data.mapping.form.field.t
 ype.DDMFormFieldTemplateContextContributor,com.liferay.dynamic.data.m
 apping.form.field.type.internal.password.PasswordDDMFormFieldTemplate
 ContextContributor";uses:="com.liferay.dynamic.data.mapping.form.fiel
 d.type,com.liferay.dynamic.data.mapping.form.field.type.internal.pass
 word",osgi.service;objectClass:List<String>="com.liferay.dynamic.data
 .mapping.form.field.type.DDMFormFieldTemplateContextContributor,com.l
 iferay.dynamic.data.mapping.form.field.type.internal.radio.RadioDDMFo
 rmFieldTemplateContextContributor";uses:="com.liferay.dynamic.data.ma
 pping.form.field.type,com.liferay.dynamic.data.mapping.form.field.typ
 e.internal.radio",osgi.service;objectClass:List<String>="com.liferay.
 dynamic.data.mapping.form.field.type.DDMFormFieldTemplateContextContr
 ibutor,com.liferay.dynamic.data.mapping.form.field.type.internal.rich
 .text.RichTextDDMFormFieldTemplateContextContributor";uses:="com.life
 ray.dynamic.data.mapping.form.field.type,com.liferay.dynamic.data.map
 ping.form.field.type.internal.rich.text",osgi.service;objectClass:Lis
 t<String>="com.liferay.dynamic.data.mapping.form.field.type.DDMFormFi
 eldTemplateContextContributor,com.liferay.dynamic.data.mapping.form.f
 ield.type.internal.select.SelectDDMFormFieldTemplateContextContributo
 r";uses:="com.liferay.dynamic.data.mapping.form.field.type,com.lifera
 y.dynamic.data.mapping.form.field.type.internal.select",osgi.service;
 objectClass:List<String>="com.liferay.dynamic.data.mapping.form.field
 .type.DDMFormFieldTemplateContextContributor,com.liferay.dynamic.data
 .mapping.form.field.type.internal.separator.SeparatorDDMFormFieldTemp
 lateContextContributor";uses:="com.liferay.dynamic.data.mapping.form.
 field.type,com.liferay.dynamic.data.mapping.form.field.type.internal.
 separator",osgi.service;objectClass:List<String>="com.liferay.dynamic
 .data.mapping.form.field.type.DDMFormFieldTemplateContextContributor,
 com.liferay.dynamic.data.mapping.form.field.type.internal.text.TextDD
 MFormFieldTemplateContextContributor";uses:="com.liferay.dynamic.data
 .mapping.form.field.type,com.liferay.dynamic.data.mapping.form.field.
 type.internal.text",osgi.service;objectClass:List<String>="com.lifera
 y.dynamic.data.mapping.form.field.type.DDMFormFieldTemplateContextCon
 tributor,com.liferay.dynamic.data.mapping.form.field.type.internal.va
 lidation.ValidationDDMFormFieldTemplateContextContributor";uses:="com
 .liferay.dynamic.data.mapping.form.field.type,com.liferay.dynamic.dat
 a.mapping.form.field.type.internal.validation",osgi.service;objectCla
 ss:List<String>="com.liferay.dynamic.data.mapping.form.field.type.DDM
 FormFieldType";uses:="com.liferay.dynamic.data.mapping.form.field.typ
 e",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.ma
 pping.form.field.type.DDMFormFieldTypeServicesTracker";uses:="com.lif
 eray.dynamic.data.mapping.form.field.type",osgi.service;objectClass:L
 ist<String>="com.liferay.dynamic.data.mapping.form.field.type.DDMForm
 FieldValueAccessor,com.liferay.dynamic.data.mapping.form.field.type.i
 nternal.checkbox.CheckboxDDMFormFieldValueAccessor";uses:="com.lifera
 y.dynamic.data.mapping.form.field.type,com.liferay.dynamic.data.mappi
 ng.form.field.type.internal.checkbox",osgi.service;objectClass:List<S
 tring>="com.liferay.dynamic.data.mapping.form.field.type.DDMFormField
 ValueAccessor,com.liferay.dynamic.data.mapping.form.field.type.intern
 al.checkbox.multiple.CheckboxMultipleDDMFormFieldValueAccessor";uses:
 ="com.liferay.dynamic.data.mapping.form.field.type,com.liferay.dynami
 c.data.mapping.form.field.type.internal.checkbox.multiple",osgi.servi
 ce;objectClass:List<String>="com.liferay.dynamic.data.mapping.form.fi
 eld.type.DDMFormFieldValueAccessor,com.liferay.dynamic.data.mapping.f
 orm.field.type.internal.document.library.DocumentLibraryDDMFormFieldV
 alueAccessor";uses:="com.liferay.dynamic.data.mapping.form.field.type
 ,com.liferay.dynamic.data.mapping.form.field.type.internal.document.l
 ibrary",osgi.service;objectClass:List<String>="com.liferay.dynamic.da
 ta.mapping.form.field.type.DDMFormFieldValueAccessor,com.liferay.dyna
 mic.data.mapping.form.field.type.internal.grid.GridDDMFormFieldValueA
 ccessor";uses:="com.liferay.dynamic.data.mapping.form.field.type,com.
 liferay.dynamic.data.mapping.form.field.type.internal.grid",osgi.serv
 ice;objectClass:List<String>="com.liferay.dynamic.data.mapping.form.f
 ield.type.DDMFormFieldValueAccessor,com.liferay.dynamic.data.mapping.
 form.field.type.internal.image.ImageDDMFormFieldValueAccessor";uses:=
 "com.liferay.dynamic.data.mapping.form.field.type,com.liferay.dynamic
 .data.mapping.form.field.type.internal.image",osgi.service;objectClas
 s:List<String>="com.liferay.dynamic.data.mapping.form.field.type.DDMF
 ormFieldValueAccessor,com.liferay.dynamic.data.mapping.form.field.typ
 e.internal.localizable.text.LocalizableTextDDMFormFieldValueAccessor"
 ;uses:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay.
 dynamic.data.mapping.form.field.type.internal.localizable.text",osgi.
 service;objectClass:List<String>="com.liferay.dynamic.data.mapping.fo
 rm.field.type.DDMFormFieldValueAccessor,com.liferay.dynamic.data.mapp
 ing.form.field.type.internal.numeric.NumericDDMFormFieldValueAccessor
 ";uses:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay
 .dynamic.data.mapping.form.field.type.internal.numeric",osgi.service;
 objectClass:List<String>="com.liferay.dynamic.data.mapping.form.field
 .type.DDMFormFieldValueAccessor,com.liferay.dynamic.data.mapping.form
 .field.type.internal.radio.RadioDDMFormFieldValueAccessor";uses:="com
 .liferay.dynamic.data.mapping.form.field.type,com.liferay.dynamic.dat
 a.mapping.form.field.type.internal.radio",osgi.service;objectClass:Li
 st<String>="com.liferay.dynamic.data.mapping.form.field.type.DDMFormF
 ieldValueAccessor,com.liferay.dynamic.data.mapping.form.field.type.in
 ternal.select.SelectDDMFormFieldValueAccessor";uses:="com.liferay.dyn
 amic.data.mapping.form.field.type,com.liferay.dynamic.data.mapping.fo
 rm.field.type.internal.select",osgi.service;objectClass:List<String>=
 "com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldValueJS
 ONSerializer";uses:="com.liferay.dynamic.data.mapping.form.field.type
 ",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.map
 ping.form.field.type.DDMFormFieldValueLocalizer";uses:="com.liferay.d
 ynamic.data.mapping.form.field.type",osgi.service;objectClass:List<St
 ring>="com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldV
 alueRenderer";uses:="com.liferay.dynamic.data.mapping.form.field.type
 ",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.map
 ping.form.field.type.DDMFormFieldValueRenderer,com.liferay.dynamic.da
 ta.mapping.form.field.type.internal.date.DateDDMFormFieldValueRendere
 r";uses:="com.liferay.dynamic.data.mapping.form.field.type,com.lifera
 y.dynamic.data.mapping.form.field.type.internal.date",osgi.service;ob
 jectClass:List<String>="com.liferay.dynamic.data.mapping.form.field.t
 ype.DDMFormFieldValueRenderer,com.liferay.dynamic.data.mapping.form.f
 ield.type.internal.geolocation.GeolocationDDMFormFieldValueRenderer";
 uses:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay.d
 ynamic.data.mapping.form.field.type.internal.geolocation",osgi.servic
 e;objectClass:List<String>="com.liferay.dynamic.data.mapping.form.fie
 ld.type.DDMFormFieldValueRenderer,com.liferay.dynamic.data.mapping.fo
 rm.field.type.internal.rich.text.RichTextDDMFormFieldValueRenderer";u
 ses:="com.liferay.dynamic.data.mapping.form.field.type,com.liferay.dy
 namic.data.mapping.form.field.type.internal.rich.text",osgi.service;o
 bjectClass:List<String>="com.liferay.dynamic.data.mapping.form.field.
 type.DDMFormFieldValueRequestParameterRetriever";uses:="com.liferay.d
 ynamic.data.mapping.form.field.type",osgi.service;objectClass:List<St
 ring>="com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldV
 alueValidator";uses:="com.liferay.dynamic.data.mapping.form.field.typ
 e",soy;type=LiferayFormField
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.document.library.kernel.service.DLAppService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.docum
 ent.library.util.DLURLHelper)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.dynamic.data.mapping.data.provider.DDMData
 ProviderInvoker)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.dynamic.data.mapping.form.field.type.DDMFormFieldOption
 sFactory)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.dynamic.data.mapping.form.field.type.internal.checkbox.Checkbo
 xDDMFormFieldValueAccessor)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.dynamic.data.mapping.form.field.type.interna
 l.checkbox.multiple.CheckboxMultipleDDMFormFieldValueAccessor)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.d
 ata.mapping.form.field.type.internal.document.library.DocumentLibrary
 DDMFormFieldValueAccessor)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.dynamic.data.mapping.form.field.type.internal
 .grid.GridDDMFormFieldValueAccessor)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.dynamic.data.mapping.form.field.typ
 e.internal.localizable.text.LocalizableTextDDMFormFieldValueAccessor)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.dy
 namic.data.mapping.form.field.type.internal.radio.RadioDDMFormFieldVa
 lueAccessor)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.dynamic.data.mapping.form.field.type.internal.select.Select
 DDMFormFieldValueAccessor)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.dynamic.data.mapping.service.DDMStructureLayo
 utLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.frontend.js.loader.modules.extender.npm.NPMResolver)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.item.s
 elector.ItemSelector)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.json.JSONFactory)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.languag
 e.Language)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.portletfilerepository.PortletFileRepository)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.CompanyLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.GroupLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.service.UserLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.util.Html)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.util.Portal)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.template.soy.data.SoyDataFactory)";effectiv
 e:=active,osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.co
 ntract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=Java
 Servlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.
 ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.dynamic.data.mapping.form.fiel
 d.type.internal.DDMFormFieldOptionsFactoryImpl.xml,OSGI-INF/com.lifer
 ay.dynamic.data.mapping.form.field.type.internal.DDMFormFieldTypeServ
 icesTrackerImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.fi
 eld.type.internal.captcha.CaptchaDDMFormFieldTemplateContextContribut
 or.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.inte
 rnal.captcha.CaptchaDDMFormFieldType.xml,OSGI-INF/com.liferay.dynamic
 .data.mapping.form.field.type.internal.checkbox.CheckboxDDMFormFieldT
 emplateContextContributor.xml,OSGI-INF/com.liferay.dynamic.data.mappi
 ng.form.field.type.internal.checkbox.CheckboxDDMFormFieldType.xml,OSG
 I-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.check
 box.CheckboxDDMFormFieldValueAccessor.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.form.field.type.internal.checkbox.CheckboxDDMFormField
 ValueRenderer.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.fiel
 d.type.internal.checkbox.CheckboxDDMFormFieldValueRequestParameterRet
 riever.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.
 internal.checkbox.multiple.CheckboxMultipleDDMFormFieldTemplateContex
 tContributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field
 .type.internal.checkbox.multiple.CheckboxMultipleDDMFormFieldType.xml
 ,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.c
 heckbox.multiple.CheckboxMultipleDDMFormFieldValueAccessor.xml,OSGI-I
 NF/com.liferay.dynamic.data.mapping.form.field.type.internal.checkbox
 .multiple.CheckboxMultipleDDMFormFieldValueRenderer.xml,OSGI-INF/com.
 liferay.dynamic.data.mapping.form.field.type.internal.checkbox.multip
 le.CheckboxMultipleDDMFormFieldValueRequestParameterRetriever.xml,OSG
 I-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.color
 .ColorDDMFormFieldTemplateContextContributor.xml,OSGI-INF/com.liferay
 .dynamic.data.mapping.form.field.type.internal.color.ColorDDMFormFiel
 dType.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.i
 nternal.date.DateDDMFormFieldTemplateContextContributor.xml,OSGI-INF/
 com.liferay.dynamic.data.mapping.form.field.type.internal.date.DateDD
 MFormFieldType.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.fie
 ld.type.internal.date.DateDDMFormFieldValueRenderer.xml,OSGI-INF/com.
 liferay.dynamic.data.mapping.form.field.type.internal.date.DateDDMFor
 mFieldValueValidator.xml,OSGI-INF/com.liferay.dynamic.data.mapping.fo
 rm.field.type.internal.document.library.DocumentLibraryDDMFormFieldTe
 mplateContextContributor.xml,OSGI-INF/com.liferay.dynamic.data.mappin
 g.form.field.type.internal.document.library.DocumentLibraryDDMFormFie
 ldType.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.
 internal.document.library.DocumentLibraryDDMFormFieldValueAccessor.xm
 l,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.
 document.library.DocumentLibraryDDMFormFieldValueRenderer.xml,OSGI-IN
 F/com.liferay.dynamic.data.mapping.form.field.type.internal.document.
 library.DocumentLibraryDDMFormFieldValueRequestParameterRetriever.xml
 ,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.f
 ieldset.FieldSetDDMFormFieldTemplateContextContributor.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.form.field.type.internal.fieldset.Fie
 ldSetDDMFormFieldType.xml,OSGI-INF/com.liferay.dynamic.data.mapping.f
 orm.field.type.internal.geolocation.GeolocationDDMFormFieldTemplateCo
 ntextContributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.f
 ield.type.internal.geolocation.GeolocationDDMFormFieldType.xml,OSGI-I
 NF/com.liferay.dynamic.data.mapping.form.field.type.internal.geolocat
 ion.GeolocationDDMFormFieldValueRenderer.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.form.field.type.internal.grid.GridDDMFormFieldTempl
 ateContextContributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.f
 orm.field.type.internal.grid.GridDDMFormFieldType.xml,OSGI-INF/com.li
 feray.dynamic.data.mapping.form.field.type.internal.grid.GridDDMFormF
 ieldValueAccessor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.
 field.type.internal.grid.GridDDMFormFieldValueRenderer.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.form.field.type.internal.grid.GridDDM
 FormFieldValueRequestParameterRetriever.xml,OSGI-INF/com.liferay.dyna
 mic.data.mapping.form.field.type.internal.grid.GridDDMFormFieldValueV
 alidator.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.typ
 e.internal.image.ImageDDMFormFieldTemplateContextContributor.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.form.field.type.internal.image.
 ImageDDMFormFieldType.xml,OSGI-INF/com.liferay.dynamic.data.mapping.f
 orm.field.type.internal.image.ImageDDMFormFieldValueAccessor.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.form.field.type.internal.image.
 ImageDDMFormFieldValueRenderer.xml,OSGI-INF/com.liferay.dynamic.data.
 mapping.form.field.type.internal.key.value.KeyValueDDMFormFieldTempla
 teContextContributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.fo
 rm.field.type.internal.key.value.KeyValueDDMFormFieldType.xml,OSGI-IN
 F/com.liferay.dynamic.data.mapping.form.field.type.internal.localizab
 le.text.LocalizableTextDDMFormFieldTemplateContextContributor.xml,OSG
 I-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.local
 izable.text.LocalizableTextDDMFormFieldType.xml,OSGI-INF/com.liferay.
 dynamic.data.mapping.form.field.type.internal.localizable.text.Locali
 zableTextDDMFormFieldValueAccessor.xml,OSGI-INF/com.liferay.dynamic.d
 ata.mapping.form.field.type.internal.localizable.text.LocalizableText
 DDMFormFieldValueRenderer.xml,OSGI-INF/com.liferay.dynamic.data.mappi
 ng.form.field.type.internal.localizable.text.LocalizableTextDDMFormFi
 eldValueRequestParameterRetriever.xml,OSGI-INF/com.liferay.dynamic.da
 ta.mapping.form.field.type.internal.numeric.NumericDDMFormFieldTempla
 teContextContributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.fo
 rm.field.type.internal.numeric.NumericDDMFormFieldType.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.form.field.type.internal.numeric.Nume
 ricDDMFormFieldValueAccessor.xml,OSGI-INF/com.liferay.dynamic.data.ma
 pping.form.field.type.internal.numeric.NumericDDMFormFieldValueLocali
 zer.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.int
 ernal.numeric.NumericDDMFormFieldValueRenderer.xml,OSGI-INF/com.lifer
 ay.dynamic.data.mapping.form.field.type.internal.numeric.NumericDDMFo
 rmFieldValueValidator.xml,OSGI-INF/com.liferay.dynamic.data.mapping.f
 orm.field.type.internal.options.OptionsDDMFormFieldTemplateContextCon
 tributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.typ
 e.internal.options.OptionsDDMFormFieldType.xml,OSGI-INF/com.liferay.d
 ynamic.data.mapping.form.field.type.internal.paragraph.ParagraphDDMFo
 rmFieldTemplateContextContributor.xml,OSGI-INF/com.liferay.dynamic.da
 ta.mapping.form.field.type.internal.paragraph.ParagraphDDMFormFieldTy
 pe.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.inte
 rnal.password.PasswordDDMFormFieldTemplateContextContributor.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.form.field.type.internal.passwo
 rd.PasswordDDMFormFieldType.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.form.field.type.internal.radio.RadioDDMFormFieldTemplateContextC
 ontributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.t
 ype.internal.radio.RadioDDMFormFieldType.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.form.field.type.internal.radio.RadioDDMFormFieldVal
 ueAccessor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.t
 ype.internal.radio.RadioDDMFormFieldValueRenderer.xml,OSGI-INF/com.li
 feray.dynamic.data.mapping.form.field.type.internal.radio.RadioDDMFor
 mFieldValueRequestParameterRetriever.xml,OSGI-INF/com.liferay.dynamic
 .data.mapping.form.field.type.internal.radio.RadioDDMFormFieldValueVa
 lidator.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type
 .internal.rich.text.RichTextDDMFormFieldTemplateContextContributor.xm
 l,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.
 rich.text.RichTextDDMFormFieldType.xml,OSGI-INF/com.liferay.dynamic.d
 ata.mapping.form.field.type.internal.rich.text.RichTextDDMFormFieldVa
 lueRenderer.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.
 type.internal.select.SelectDDMFormFieldTemplateContextContributor.xml
 ,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.s
 elect.SelectDDMFormFieldType.xml,OSGI-INF/com.liferay.dynamic.data.ma
 pping.form.field.type.internal.select.SelectDDMFormFieldValueAccessor
 .xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.intern
 al.select.SelectDDMFormFieldValueRenderer.xml,OSGI-INF/com.liferay.dy
 namic.data.mapping.form.field.type.internal.select.SelectDDMFormField
 ValueRequestParameterRetriever.xml,OSGI-INF/com.liferay.dynamic.data.
 mapping.form.field.type.internal.select.SelectDDMFormFieldValueValida
 tor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.int
 ernal.separator.SeparatorDDMFormFieldTemplateContextContributor.xml,O
 SGI-INF/com.liferay.dynamic.data.mapping.form.field.type.internal.sep
 arator.SeparatorDDMFormFieldType.xml,OSGI-INF/com.liferay.dynamic.dat
 a.mapping.form.field.type.internal.text.TextDDMFormFieldTemplateConte
 xtContributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.fiel
 d.type.internal.text.TextDDMFormFieldType.xml,OSGI-INF/com.liferay.dy
 namic.data.mapping.form.field.type.internal.validation.ValidationDDMF
 ormFieldTemplateContextContributor.xml,OSGI-INF/com.liferay.dynamic.d
 ata.mapping.form.field.type.internal.validation.ValidationDDMFormFiel
 dType.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.field.type.t
 ext.internal.TextDDMFormFieldValueJSONDeserializer.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /dynamic-data-mapping-form-field-type

